my2cents

23. March, 2008

Eclipse/Subversive, ordinal not located in LIBEAY32.dll

Filed under: Software Development — frightanic @ 10:02

This blog now resides at http://www.frightanic.com/. It will be discontinued here…

I recently downloaded Eclipse 3.3 packaged with its new standard SVN plugin Subversive.

[Side note]
I’ve been using Subversive before for almost as long as it exist – it was way better than Subclipse from the beginning. In 2007 Eclipse fortunately chose it as the SVN plugin that will be shipped together with the Eclipse distribution. Therefore, Subclipse has to go through an incubator process during which things can get a bit shaky an confusion about version numbers arises.
[/Side note]
Whenever connecting to a SVN repository over SSL, Windows(!) throws a “The ordinal nnnn could not be located in the dynamic link library LIBEAY32.dll” error at me. The reason for this seems to be that Subversive comes with two versions of its JavaHL and native JavaHL connector: 1.4.5 and 1.5.0 alpha2. Both are enabled by default and both contain a LIBEAY32.dll, a different one however. Hence, I went to Help -> Software Updates -> Manage Configuration, disabled JavaHL 1.5.0 [alpha2] and Native JavaHL 1.5.0 [alpha2] (in that order!), and restarted Eclipse.

2. March, 2008

SomaFM: the coolest internet radio station

Filed under: General — frightanic @ 21:09

This blog now resides at http://www.frightanic.com/. It will be discontinued here…

SomaFM independent internet radio

Blog at WordPress.com.